/*
 * Author: Dušan Kolář
 */

#ifndef DLMS_DATA
#define DLMS_DATA

#define DLMS_NULL_DATA        0
#define DLMS_ARRAY            1
#define DLMS_STRUCTURE        2
#define DLMS_BOOLEAN          3
#define DLMS_BIT_STRING       4
#define DLMS_DOUBLE_LONG      5
#define DLMS_U_DOUBLE_LONG    6
#define DLMS_OCTET_STRING     9
#define DLMS_VISIBLE_STRING  10
#define DLMS_BCD             13
#define DLMS_INTEGER         15
#define DLMS_LONG            16
#define DLMS_UNSIGNED        17
#define DLMS_U_LONG          18
#define DLMS_COMPACT_ARRAY   19
#define DLMS_LONG64          20
#define DLMS_U_LONG64        21
#define DLMS_ENUM            22
#define DLMS_FLOAT32         23
#define DLMS_FLOAT64         24
#define DLMS_DATE_TIME       25
#define DLMS_DATE            26
#define DLMS_TIME            27
#define DLMS_DO_NOT_CARE    255

#include <inttypes.h>

int test_dlms_data_type(uint8_t dlms_data_type);
const char *text_dlms_data_type(uint8_t dlms_data_type);

#endif
